• For issues you find with the Switch and Console releases, please follow this link and give as much detail as possible. This is the speediest way to get info to Pipeworks and get a hotfix in the works.
  • For issues you find with the Mobile 1.3 update, please follow this link and give as much detail as possible. This is the speediest way to get info to DR Studios to look at your issue. Also, some troubleshooting hints here.

Standalone Super Terraria World - MMORPG Style Mod - Server and Client Mod

darthmorf

Moderator
Staff member
Moderator
Oh but could you please add a content update? Like with more story and items?
We will in due course. However, as it is, the game will not run on 1.3.5 at all. Can't make new content when it doesn't run.
Multiplayer is also taking priority as the sooner we do it, the easier it is to do as there is less content to port over to the new MMO version of STW.
 

alexzhang05

Terrarian
When do you guys expect to have 1.3.5 support out? Really love this project and I played it a while ago but now I can't downgrade Terraria so I'm really hoping it gets out soon! Just don't overwork yourself!:p
 

Flippi

Skeletron
When do you guys expect to have 1.3.5 support out? Really love this project and I played it a while ago but now I can't downgrade Terraria so I'm really hoping it gets out soon! Just don't overwork yourself!:p
Not estimate yet on when we'll have a public version available for everyone to play - sorry!

Our main focus is on refactoring our code which is going very well, and also multiplayer support. Hope to share some more news about both soon!
 

Master_Yoda_21

Terrarian
I keep on getting an error of Graphics card not suitable can not create a graphics device. Then another error i get is the classic "Terraria has stopped working" please help this is an amazing mod that has a lot of potential with error reporters and players helping out.
 

darthmorf

Moderator
Staff member
Moderator
I keep on getting an error of Graphics card not suitable can not create a graphics device. Then another error i get is the classic "Terraria has stopped working" please help this is an amazing mod that has a lot of potential with error reporters and players helping out.
There's a special protocol needed to get STW to work with 1.3.5 - I recommend you hop on our discord server so we can help you out properly; debugging installations via TCF isn't viable.
 

Master_Yoda_21

Terrarian
I keep on getting an error of Graphics card not suitable can not create a graphics device. Then another error i get is the classic "Terraria has stopped working" please help this is an amazing mod that has a lot of potential with error reporters and players helping out.
I followed the process to convert to 1.3.4.4 on your thread and then installed it on that directory, i played it with steam running and i get the error.
 
Top Bottom